Subject: [Healeys] Throttle arms

From: I Erbs <[email-masked]>
Date: Fri, 13 Dec 2013 14:37:49 -0800

I need to replace the throttle arm on my BT7 (its worn out). I have looked
at the BJ type lever and  the BT7 one. I am modifying my throtle linkage to
a cable set up. I have HD8 carbs on my engine. The BJ arm is around $70.00
and the BT7 one is $14.00. I still need to weld and extension. My question
is simple. Is the BJ arm that much of an improvement over the BT7 arm, that
I should pay so much more for it?
I'm using the Denis Welch set up.
Ira Erbs
Portland, OR
   _______                                  _______
     (______ \____1960 BT7____/ _______)
         (_________________________)
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys